Bug 1077630 - docker-registry cannot import module jinja2
Summary: docker-registry cannot import module jinja2
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora EPEL
Classification: Fedora
Component: docker-registry
Version: el6
Hardware: All
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Marek Goldmann
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-03-18 10:40 UTC by Stepan Surovec
Modified: 2014-04-09 05:26 UTC (History)
1 user (show)

Fixed In Version: docker-registry-0.6.6-1.el6
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-09 00:59:31 UTC
Type: Bug


Attachments (Terms of Use)

Description Stepan Surovec 2014-03-18 10:40:09 UTC
Description of problem:
Docker-registry worker start fails on missing module jinja2
ImportError: No module named jinja2

There is installed lastest module python-flask, which brings module python-jinja2-26, but import failed. 

Version-Release number of selected component (if applicable):
docker-registry-0.6.5-1.el6.noarch

How reproducible:
Install docker-repository package with latest epel version and try it run. 

Steps to Reproduce:
1. yum install docker-registry 
2. /etc/init.d/docker-registry start 

Actual results:
2014-03-17 16:19:12 [8017] [INFO] Booting worker with pid: 8017
2014-03-17 16:19:12 [8017] [ERROR] Exception in worker process:
Traceback (most recent call last):
  File "/usr/lib/python2.6/site-packages/gunicorn/arbiter.py", line 495, in spawn_worker
    worker.init_process()
  File "/usr/lib/python2.6/site-packages/gunicorn/workers/ggevent.py", line 165, in init_process
    super(GeventWorker, self).init_process()
  File "/usr/lib/python2.6/site-packages/gunicorn/workers/base.py", line 106, in init_process
    self.wsgi = self.app.wsgi()
  File "/usr/lib/python2.6/site-packages/gunicorn/app/base.py", line 114, in wsgi
    self.callable = self.load()
  File "/usr/lib/python2.6/site-packages/gunicorn/app/wsgiapp.py", line 62, in load
    return self.load_wsgiapp()
  File "/usr/lib/python2.6/site-packages/gunicorn/app/wsgiapp.py", line 49, in load_wsgiapp
    return util.import_app(self.app_uri)
  File "/usr/lib/python2.6/site-packages/gunicorn/util.py", line 354, in import_app
    __import__(module)
  File "/usr/lib/python2.6/site-packages/docker-registry/wsgi.py", line 11, in <module>
    import registry
  File "/usr/lib/python2.6/site-packages/docker-registry/registry/__init__.py", line 4, in <module>
    from .app import app
  File "/usr/lib/python2.6/site-packages/docker-registry/registry/app.py", line 1, in <module>
    import flask
  File "/usr/lib/python2.6/site-packages/flask/__init__.py", line 19, in <module>
    from jinja2 import Markup, escape
ImportError: No module named jinja2
Expected results:
Docker-registry starts succesfully 

Additional info:
https://bugzilla.redhat.com/show_bug.cgi?id=882016
https://bugzilla.redhat.com/show_bug.cgi?id=1004384

Comment 1 Fedora Update System 2014-03-20 11:19:49 UTC
docker-registry-0.6.6-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/docker-registry-0.6.6-1.el6

Comment 2 Fedora Update System 2014-03-20 11:20:00 UTC
docker-registry-0.6.6-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/docker-registry-0.6.6-1.fc20

Comment 3 Fedora Update System 2014-03-21 09:33:15 UTC
Package docker-registry-0.6.6-1.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing docker-registry-0.6.6-1.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-4154/docker-registry-0.6.6-1.fc20
then log in and leave karma (feedback).

Comment 4 Fedora Update System 2014-04-09 00:59:31 UTC
docker-registry-0.6.6-1.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2014-04-09 05:26:35 UTC
docker-registry-0.6.6-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.